
    <p-panel>
        <p-header>
            {{'mpmApp.prospectPerson.home.createOrEditLabel' | translate}}
        </p-header>

        <p-accordion>
            <p-accordionTab header="Informasi Pelanggan - Individual">
                <p-tabView>
                    <p-tabPanel header="Personal Info">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.name" for="field_firstName">Name</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.firstName }} {{ prospectPerson.person.lastName }}
                                     </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.pob" for="field_pob">Pob</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.pob }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.dob" for="field_dob">Dob</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{prospectPerson.person.dob | date: 'dd'}}/{{prospectPerson.person.dob | date:'MM'}}/{{prospectPerson.person.dob | date: 'yyyy'}}
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.bloodType" for="field_bloodType">Blood Type</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.bloodType }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.gender" for="field_gender">Gender</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.gender }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.religionType" for="field_religionType">Religion Type</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.religionTypeDescription }}
                                    </div>
                                </div>
                            </div>
                        </div>
                
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.personalIdNumber" for="field_personalIdNumber">Personal Id Number</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.personalIdNumber }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.familyIdNumber" for="field_familyIdNumber">Family Id Number</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.familyIdNumber }}
                                    </div>
                                </div>
                
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.workType" for="field_workType">Work Type</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.workTypeDescription }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.taxIdNumber" for="field_taxNumber">Tax Number</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{ prospectPerson.person.taxIdNumber }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="Telecomunication Number">
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.phone" for="field_phone">cell Phone 1</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.phone }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.cellPhone1" for="field_cellPhone1">cell Phone 1</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.cellPhone1 }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.cellPhone2" for="field_cellPhone2">cell Phone 2</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.cellPhone2 }}
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="Electronic Address">
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.privateMail" for="field_privateMail">private Mail</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.privateMail }}
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="Postal Address">
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.address1" for="field_address1">address 1</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.address1 }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.address2" for="field_address1">address 2</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.address2 }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.province" for="field_province">province</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.provinceName }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.city" for="field_city">city</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.cityName }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.district" for="field_district">district</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.districtName }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-4">
                                <label jhiTranslate="mpmApp.person.village" for="field_village">village</label>
                            </div>
                            <div class="col-sm-8">
                                : {{ prospectPerson.person.postalAddress.villageName }}
                            </div>
                        </div>
                    </p-tabPanel>
                </p-tabView>
            </p-accordionTab>
            <p-accordionTab header="Tipe Konsumen">
                <div class="form-group" [hidden]="true">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectPerson.idProspect" readonly />
                </div>
                <div class="form-group" [hidden]="true">
                    <label jhiTranslate="mpmApp.prospectPerson.prospectNumber" for="field_prospectNumber">Nomor Prospect</label>
                    <input type="text" class="form-control" name="prospectNumber" id="field_prospectNumber"
                            [(ngModel)]="prospectPerson.prospectNumber"/>
                </div>
                
                <div class="row">
                    <div class="col-sm-4">
                        <label jhiTranslate="mpmApp.prospectPerson.prospectSource" for="field_prospectSource"></label>
                    </div>
                    <div class="col-sm-8">
                        : {{ prospectPerson.prospectSourceDescription }}
                    </div>
                </div>

                <!-- Sumber == Event -->
                <div *ngIf="prospectPerson.prospectSourceId == 10">
                    <div class="row">
                        <div class="col-sm-4">
                            <label jhiTranslate="mpmApp.prospectPerson.eventType" for="field_eventType"></label>
                        </div>
                        <div class="col-sm-8">
                            : {{ prospectPerson.eventTypeId }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-4">
                            <label>Lokasi </label>
                        </div>
                        <div class="col-sm-8">
                            : {{ prospectPerson.eventLocation }}
                        </div>
                    </div>
                </div>

                <!-- Sumber == Makelar -->
                <div *ngIf="prospectPerson.prospectSourceId == 11">
                    <div class="row">
                        <div class="col-sm-4">
                            <label>Nama Makelar</label>
                        </div>
                        <div class="col-sm-8">
                            : {{ prospectPerson.brokerName }}
                        </div>
                    </div>
                </div>

                <!-- Sumber == Refference -->
                <div *ngIf="prospectPerson.prospectSourceId == 12">
                    <div class="row">
                        <div class="col-sm-4">
                            <label>Nama Refference</label>
                        </div>
                        <div class="col-sm-8">
                            : {{ prospectPerson.brokerName }}
                        </div>
                    </div>
                </div>

                <!-- Sumber == Refferal -->
                <div *ngIf="prospectPerson.prospectSourceId == 13">
                    <div class="row">
                        <div class="col-sm-4">
                            <label>Nama Refferal</label>
                        </div>
                        <div class="col-sm-8">
                            : {{ prospectPerson.brokerName }}
                        </div>
                    </div>
                </div>

            </p-accordionTab>
            <p-accordionTab *ngIf="prospectPerson.idProspect" header="History Follow Up">
                
                <div *ngIf="(!prospectPerson.dateFollowUp);then nevergetfollowup else evergetfollowup"></div>
                <ng-template #nevergetfollowup><i>Belum Pernah Di Follow Up</i><br><br></ng-template>
                <ng-template #evergetfollowup><jhi-communication-event-prospect-as-history-follow-up [idProspect]="prospectPerson.idProspect"></jhi-communication-event-prospect-as-history-follow-up></ng-template>
                
            </p-accordionTab>
            <p-accordionTab *ngIf="prospectPerson.idProspect" header="List Form Minat">
                <jhi-communication-event-prospect-as-list [idProspect]="prospectPerson.idProspect"  usedFor="detail"></jhi-communication-event-prospect-as-list>
            </p-accordionTab>
        </p-accordion>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.back' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
        </p-footer>
    </p-panel>